=== debian/changelog ===
lmms (1.0.3-5) unstable; urgency=low

  * Make lmms replace and break lmms-common (<< 1.0.0-1) to handle the
    fact that /usr/share/menu/lmms moved from lmms-common to lmms in
    this version (Closes: #765970).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Oct 2014 23:43:08 +0200

lmms (1.0.3-4) unstable; urgency=low

  * Correct watch file to reflect '-src' part of upstream tarball.
  * New desktop-argument.patch to let desktops know how to pass files to
    lmms.  Thanks to lintian for noticing the bug.
  * Revert change to enable the vsl plugin in version 1.0.3-3, as it did
    not work.  Reopen bug #763720.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 08 Oct 2014 19:21:53 +0200

lmms (1.0.3-3) unstable; urgency=medium

  * Try to get vsl plugin working on i386 by build depending on libwine-dev
    and wine32-dev-tools (Closes: #763720).  Unable to get it working on
    amd64.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 07 Oct 2014 12:13:16 +0200

lmms (1.0.3-2) unstable; urgency=medium

  * Change build rule to only enable ALSA support on Linux (Closes: #754718).
    Patch from Steven Chamberlain with input from Guillem Jover.
  * Drop libwine-dev build dependency to avoid build failure in the
    vst plugin.  It should be enabled when we figure out how to do it.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Oct 2014 08:19:53 +0200

lmms (1.0.3-1) unstable; urgency=low

  * Move package into Debian Edu git repository and add myself as
    co-maintainer.
  * Update to upstream version 1.0.3.
  * Correct build dependency on i386, use libwine-dev instead of the now
    obsolete wine-dev (Closes: #748183).
  * Update Standards-Version from 3.9.5 to 3.9.6.
  * Add new well-defined-loop.patch to fix compile error triggered by
    undefined loop behaviour (Closes: #753177).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 01 Oct 2014 23:00:19 +0200

lmms (1.0.0-1) unstable; urgency=low

  * New upstream version (Closes: #703900, #735764, #696271)
  * Using a wraped-style control (Closes: #689347)
  * Don't suggest vcf as it no longer exists (since a long time)
    (Closes: #618350)
  * Problems with jack backend were fixed long ago (Closes: #557421)
  * No depends/recommends on wine anymore (Closes: #622215, #622080)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 24 Apr 2014 22:30:17 +0200
