=== debian/watch ===
version=3
http://sf.net/lmms/lmms-(.*)-src\.tar\.bz2
