## lmms 1.1

=== DESCRIPTION ===
Package: lmms
Type: Package
Title: Linear mixed effect model splines for modelling and analysis of
        time course data
Version: 1.1
Date: 2014-05-06
Depends: R (>= 3.0.0)
Imports: stats, methods, nlme, lmeSplines, parallel, reshape, gdata,
        gplots, ggplot2, graphics
Author: Jasmin Straube, Kim-Anh Le Cao and Emma Huang with contributions of
    Dominique Gorse
Maintainer: Jasmin Straube <j.straube@qfab.org>
Description: The package implements linear mixed effect model splines for
    modelling and differential expression for highly dimensional data sets:
    investNoise for quality control and filterNoise for removing
    non-informative trajectories; lmmSpline to model time course expression
    profiles and lmmsDE performs differential expression analysis to identify
    differential expression between groups, time and/or time x group
    interaction.
License: GPL (>= 2)
Packaged: 2014-09-09 06:37:09 UTC; j.straube
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-11 08:52:15
