=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 ADD_SUBDIRECTORY(projects)
 ADD_SUBDIRECTORY(samples)
 ADD_SUBDIRECTORY(themes)
+ADD_SUBDIRECTORY(wavetables)
 ADD_SUBDIRECTORY(scripts)
 
 IF(LMMS_BUILD_LINUX)
