=== doc/CMakeLists.txt ===
FIND_PACKAGE(Doxygen)

if(DOXYGEN_FOUND)
	set(INPUTDIRS 
		"\"${CMAKE_CURRENT_SOURCE_DIR}../src/core\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../src/gui\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../src/tracks\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../include\"
		\"${CMAKE_CURRENT_SOURCE_DIR}../plugins\"")
	CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)

	ADD_CUSTOM_TARGET(doc
		COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		COMMENT "Generating API documentation with Doxygen"
		SOURCES Doxyfile.in)
endif(DOXYGEN_FOUND)
