=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
 ADD_SUBDIRECTORY(audio_file_processor)
 ADD_SUBDIRECTORY(BassBooster)
 ADD_SUBDIRECTORY(bit_invader)
+ADD_SUBDIRECTORY(carlabase)
+ADD_SUBDIRECTORY(carlapatchbay)
+ADD_SUBDIRECTORY(carlarack)
+ADD_SUBDIRECTORY(delay)
 ADD_SUBDIRECTORY(DualFilter)
 ADD_SUBDIRECTORY(dynamics_processor)
 ADD_SUBDIRECTORY(flp_import)
@@ -11,13 +15,17 @@
 ADD_SUBDIRECTORY(LadspaEffect)
 ADD_SUBDIRECTORY(lb302)
 #ADD_SUBDIRECTORY(lb303)
-ADD_SUBDIRECTORY(midi_import)
+ADD_SUBDIRECTORY(MidiImport)
+ADD_SUBDIRECTORY(monstro)
+ADD_SUBDIRECTORY(nes)
 ADD_SUBDIRECTORY(opl2)
 ADD_SUBDIRECTORY(organic)
 ADD_SUBDIRECTORY(papu)
 ADD_SUBDIRECTORY(patman)
 ADD_SUBDIRECTORY(peak_controller_effect)
-ADD_SUBDIRECTORY(sf2_player)
+IF(NOT LMMS_BUILD_APPLE)
+   ADD_SUBDIRECTORY(sf2_player)
+ENDIF()
 ADD_SUBDIRECTORY(sfxr)
 ADD_SUBDIRECTORY(sid)
 ADD_SUBDIRECTORY(SpectrumAnalyzer)
@@ -28,6 +36,7 @@
 ADD_SUBDIRECTORY(vestige)
 ADD_SUBDIRECTORY(vst_base)
 ADD_SUBDIRECTORY(VstEffect)
+ADD_SUBDIRECTORY(watsyn)
 ADD_SUBDIRECTORY(waveshaper)
 ADD_SUBDIRECTORY(vibed)
 ADD_SUBDIRECTORY(zynaddsubfx)
