=== plugins/carlapatchbay/CMakeLists.txt ===
if(LMMS_HAVE_CARLA)
	ADD_DEFINITIONS(-DCARLA_PLUGIN_PATCHBAY -DCARLA_PLUGIN_SYNTH)
	INCLUDE(BuildPlugin)
	INCLUDE_DIRECTORIES(${CARLA_INCLUDE_DIRS} "${CMAKE_CURRENT_SOURCE_DIR}/../carlabase")
	LINK_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}/../carlabase")
	LINK_LIBRARIES(carlabase)
	BUILD_PLUGIN(carlapatchbay carlapatchbay.cpp EMBEDDED_RESOURCES "${CMAKE_CURRENT_SOURCE_DIR}/*.png")
endif(LMMS_HAVE_CARLA)
