=== debian/changelog ===
lmms (1.1.3-7) unstable; urgency=low

  [ Javier Serrano Polo ]
  * Separate flags for WINE_BUILD_FLAGS to fix build problem on i386.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 26 Dec 2016 07:36:54 +0000

lmms (1.1.3-6) unstable; urgency=low

  [ Javier Serrano Polo ]
  * Build with install RUNPATH (reproducibility).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Dec 2016 09:38:53 +0000

lmms (1.1.3-5) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Add Wine stable path to PATH, otherwise wine package would be required.
  * Sort plug-in embedded resources (reproducibility).
  * Define NDEBUG instead of setting build type to honor optimization choice.

 -- Javier Serrano Polo <javier@jasp.net>  Sat, 03 Sep 2016 17:31:05 +0200

lmms (1.1.3-4) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Sort lists generated from globbing expressions (reproducibility).
  * Fixed upgrade that installs recommended packages (Closes: #827039).
  * Dropped unused build dependencies.
  * Dropped workaround for #824715, wineg++ is fixed.
  * Added contributors.
  * Honor CONTRIBUTORS override.
  * Replace __FILE__ (reproducibility).
  * Use build type "Release" (reproducibility).

 -- Javier Serrano Polo <javier@jasp.net>  Wed, 08 Jun 2016 01:25:37 +0200

lmms (1.1.3-3) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Dropped Wine path from PATH.
  * Fixed lmms-common upgrade (Closes: #825287).
  * Hide vocoder plug-in, it is now in swh-plugins (Closes: #826110).
  * Added workaround for #824715 (Closes: #825286).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 03 Jun 2016 08:51:31 +0000

lmms (1.1.3-2) unstable; urgency=medium

  [ Javier Serrano Polo ]
  * Enabled vst plugin on i386 and amd64 (Closes: #763720).
  * Made Calf and vocoder plugins available to other programs (Closes: #758888).
  * Fixed version of metalish_dong01.ogg (Closes: #802588).
  * Bumped Standards-Version to 3.9.7. Doxygen documentation is not very useful.
  * Upgraded to Standards-Version 3.9.8. Ship icons in the default hicolor icon
    theme directories.
  * Use presets from zynaddsubfx-data.
  * Fixed build problems with GCC 6 (Closes: #811697).
  * Switch to PulseAudio back end on likely ALSA interception (Closes: #781479).
  * Updated copyright information.
  * Removed non-free projects.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 18 May 2016 09:09:23 +0000

lmms (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3 (Closes: #788457).
    - Drop well-defined-loop.patch, included upstream.
  * Add config for git-buildpackage to use pristine-tar all the time.
  * Change homepage url to new http://lmms.io/.
  * Added fluid as build-depend.
  * New patch find-fluid.patch to find the fluid binary in unstable.
  * New patch gcc5.patch to get the code building with gcc 5 in
    unstable (Closes: #777989).
  * Added man-page-adjustment.patch to fix manpage formatting of AUTHOR
    block. Discovered thanks to lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Sep 2015 13:54:02 +0200
