=== debian/control ===
--- 
+++ 
@@ -5,43 +5,44 @@
 Uploaders:
  Patrick Winnertz <winnie@debian.org>
  , Petter Reinholdtsen <pere@debian.org>
-Build-Depends: 
+ , Israel Dahl <israeldahl@gmail.com>
+ , Javier Serrano Polo <javier@jasp.net>
+Build-Depends:
  cmake,
  debhelper (>= 9.0.0),
- gcc-multilib [amd64],
- g++-multilib [amd64],
- imagemagick,
  ladspa-sdk,
- libsdl-sound1.2-dev,
  libsamplerate0-dev,
+ libsdl1.2-dev,
  libsndfile1-dev,
  libvorbis-dev,
  libjack-dev,
  libstk0-dev,
- libflac-dev,
  libfltk1.3-dev,
- libxinerama-dev,
+ fluid,
  libasound2-dev [linux-any],
  libqt4-dev,
  libpulse-dev,
  libfluidsynth-dev,
  libfftw3-dev,
- libfreetype6-dev,
- libxft-dev,
  portaudio19-dev,
- qt4-qmake, 
-Standards-Version: 3.9.6
-Homepage: http://lmms.sf.net/
+ qt4-qmake,
+ wine32-tools [i386]
+Standards-Version: 3.9.8
+Homepage: http://lmms.io/
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-edu/pkg-team/lmms.git/
 Vcs-Git: git://anonscm.debian.org/debian-edu/pkg-team/lmms.git
 
 Package: lmms
 Architecture: any
-Depends: lmms-common (>= ${source:Version}) , ${shlibs:Depends}, ${misc:Depends}, stk
-Recommends: tap-plugins, caps
-Suggests: fil-plugins, mcp-plugins, omins, freepats, fluid-soundfont-gm
+Depends: lmms-common (>= ${source:Version}) ,
+ calf-ladspa, ${shlibs:Depends}, ${misc:Depends}, stk
+Recommends: tap-plugins, caps,
+ lmms-vst-server:i386 (>= ${source:Version})
+Suggests: fil-plugins, mcp-plugins, omins, freepats, fluid-soundfont-gm,
+ ladspa-plugin
 Replaces: lmms-common (<< 1.0.0-1)
 Breaks: lmms-common (<< 1.0.0-1)
+Multi-Arch: allowed
 Description: Linux Multimedia Studio
  LMMS aims to be a free alternative to popular (but commercial and closed-
  source) programs like FruityLoops, Cubase and Logic giving you the ability of
@@ -55,7 +56,8 @@
 
 Package: lmms-common
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: zynaddsubfx-data, ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Linux Multimedia Studio - common files
  LMMS aims to be a free alternative to popular (but commercial and closed-
  source) programs like FruityLoops, Cubase and Logic giving you the ability of
@@ -69,3 +71,25 @@
  .
  This package contains the platform independent files such as samples, presets
  and some example projects.
+
+Package: lmms-vst-server
+Architecture: i386
+# Order matters to avoid wine64
+Depends: wine32, wine, ${shlibs:Depends}, ${misc:Depends}
+Recommends: lmms:any
+Description: Linux Multimedia Studio - VST server
+ This package contains a helper application that loads VST plugins.
+
+Package: calf-ladspa
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: calf-plugins (<< 0.0.19)
+Provides: ladspa-plugin
+Description: Linux Multimedia Studio - Calf LADSPA plugins
+ Calf is a pack of audio plugins - effects and instruments. The goal is to
+ create a set of plugins using decent algorithms and parameter settings,
+ available in a form which is compatible with as many open source applications
+ as possible.
+ .
+ These plugins are distributed as part of Linux Multimedia Studio, but may be
+ used by other applications.
