## lmms 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Linear mixed effect model splines for modelling and analysis of
         time course data
-Version: 1.1
-Date: 2014-05-06
+Version: 1.2
+Date: 2014-11-19
 Depends: R (>= 3.0.0)
 Imports: stats, methods, nlme, lmeSplines, parallel, reshape, gdata,
         gplots, ggplot2, graphics
@@ -18,7 +18,7 @@
     differential expression between groups, time and/or time x group
     interaction.
 License: GPL (>= 2)
-Packaged: 2014-09-09 06:37:09 UTC; j.straube
+Packaged: 2014-11-20 23:21:18 UTC; j.straube
 NeedsCompilation: no
 Repository: CRAN
-Date/Publication: 2014-09-11 08:52:15
+Date/Publication: 2014-11-21 01:20:11
